package com.emato.ich.device;


import java.util.List;

/**
 * 0   :  操作成功
 * 1   ： 操作失败
 * 1701：串口通讯超时
 * 1702：串口占用
 * 1703：串口发送数据错误
 * 1704：串口数据校验失败
 * 1705：开门时返回锁状态错误
 * 1801：不支持该操作
 * 单查柜门返回： unlocked（柜门关闭）locked(柜门打开)
 * 全查柜门返回 {“section”:1,”port”: 1, “unlocked”: true /false (true柜门打开，false柜门关闭)}
 * 其他指令无message返回
 */
public class DeviceResult {

    private int code;

    private List<String> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public List<String> getData() {
        return data;
    }

    public void setData(List<String> data) {
        this.data = data;
    }
}
